Overview

Provides an overview of the Activity Definition Manager module

What is ZF SCALAR Activity Definitions

Activity Definitions product is designed for developers allowing to retrieve the activity definitions.
These activity definitions are configured by the organization, and are used to allow a driver to qualify the time spent on a particular task.
The entries of the driver are visible in the ZF SCALAR Track and Trace product, where the user can retrieve the activities of a driver or an asset.

An activity definition profile is a collection of activity definitions defining all the applicable events the driver can encounter in the day-to-day operations upon from which the user wants to collect feedback in a structured manner.
Multiple activity definition profiles can exist within an organization where there are needs to collect different feedback for parts of the fleet.

Base URLhttps://activity-definitions.api.ap1.scalar.zf.com/
AudienceADMGRAPI
Supported Versions

V1 - Production release

V2 - Production release

Why use this product?

Purpose I: Get activity definitions

ZF | SCALAR enables the developers to retrieve the list of activity definitions for an organisation and it’s details. These details are translations of an activities. So the user knows what the configured meaning is for a specific activity definition.

Purpose II: Manage assignment of activity definition profiles

ZF | SCALAR enables the developers to manage the assignment of activity definition profiles. An activity definition profile is a configuration that specifies the activity definitions that should be available for the driver.
The developer can add assets to a certain activity definition profile, and assign other assets to a different activity definition profile, hence enabling the user collect different information depending on the asset that is being used by the driver.

Purpose : Collect information for creating trips.

ZF | SCALAR enables the developers to retrieve the information needed for creating Scheduled trips.
By fetching the activity definition profiles and their details, the developer can see which activity definitions are applicable on which assets, so they can create a trip suitable for the asset.

Use cases you can use the product for:

Use case I: Have a list of the activity definitions

See the activity definitions defined by an organisation.
This provides information needed to interpret the result of the track trace product

Use case II: Get the activity definition profiles

Get available activity definition profiles the organization has.

Use case III: Get the activity definition profile details

By seeing the details of an activity definition profile, the integrator can see which activity definitions are part of the activity definition profile and what assets are assigned to the profile.

Use case IV: Assign assets to a activity definition profile

Assigning assets to an activity definition profile, ensures the driver can enter the feedback on the events relevant to the capabilities of the asset or to the needs of the organization.

Rate limits

V1
GET /v1/activity-definitions
RateLimit small
Get all the activity definitions for the organization

GET v1/activity-definition-profiles

RateLimit small

Get an overview of all active activity profiles
GET v1/activity-definition-profiles/{activityDefinitionProfileId}
RateLimit normal
Get details of a activity profile

POST v1/actions/assign-assets

Ratelimit Large

  • Assign a single asset to a activity profile
  • Assign multiple assets to a activity profile OPTIONAL

V2
GET /v2/activity-definitions
RateLimit small
Get all the activity definitions for the organization